AbstractSqlParameterSource (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jdbc.core.namedparam

## Class AbstractSqlParameterSource

- java.lang.Object
- - org.springframework.jdbc.core.namedparam.AbstractSqlParameterSource

- All Implemented Interfaces:
    SqlParameterSource
  Direct Known Subclasses:
    BeanPropertySqlParameterSource, MapSqlParameterSource

      public abstract class AbstractSqlParameterSource
      extends Object
      implements SqlParameterSource

  Abstract base class for `SqlParameterSource` implementations. Provides registration of SQL types per parameter.
  Since:
    2.0
  Author:
    Juergen Hoeller

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.jdbc.core.namedparam.SqlParameterSource

      `TYPE_UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSqlParameterSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSqlType(String paramName)` Return the SQL type for the given parameter, if registered.
    `String` | `getTypeName(String paramName)` Return the type name for the given parameter, if registered.
    `void` | `registerSqlType(String paramName, int sqlType)` Register a SQL type for the given parameter.
    `void` | `registerTypeName(String paramName, String typeName)` Register a SQL type for the given parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.jdbc.core.namedparam.SqlParameterSource

      `getValue, hasValue`

- - ### Constructor Detail

    - #### AbstractSqlParameterSource

          public AbstractSqlParameterSource()

  - ### Method Detail

    - #### registerSqlType

          public void registerSqlType(String paramName,
                             int sqlType)

      Register a SQL type for the given parameter.
      Parameters:
        `paramName` - the name of the parameter
        `sqlType` - the SQL type of the parameter

    - #### registerTypeName

          public void registerTypeName(String paramName,
                              String typeName)

      Register a SQL type for the given parameter.
      Parameters:
        `paramName` - the name of the parameter
        `typeName` - the type name of the parameter

    - #### getSqlType

          public int getSqlType(String paramName)

      Return the SQL type for the given parameter, if registered.
      Specified by:
        `getSqlType` in interface `SqlParameterSource`
      Parameters:
        `paramName` - the name of the parameter
      Returns:
        the SQL type of the parameter, or `TYPE_UNKNOWN` if not registered
      See Also:
        `SqlParameterSource.TYPE_UNKNOWN`

    - #### getTypeName

          public String getTypeName(String paramName)

      Return the type name for the given parameter, if registered.
      Specified by:
        `getTypeName` in interface `SqlParameterSource`
      Parameters:
        `paramName` - the name of the parameter
      Returns:
        the type name of the parameter, or `null` if not registered